import { CommandBase, PostCommandContext } from '../base/CommandBase';
import { Doc } from '../../view/Doc';
import { CommandPayloadMap } from '../types';
export declare class SetRepeating extends CommandBase<'setRepeating'> {
    constructor(doc: Doc, payload?: CommandPayloadMap['setRepeating']);
    protected execute(): Promise<PostCommandContext>;
}
